
Redmine - Defect #3898

Saving time Issue

2009-09-21 11:55 - Tim Bouman

Status: Closed Start date: 2009-09-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hey,

When i want to save an issue, it takes up to 21 seconds before it says its saved succesfully and gives an "Failed to load source" error

in my Firebug extension.

Anyone any idea on this?

See attached screenshot for some details.

History

#1 - 2009-10-06 15:16 - Tim Bouman

Got some log data:

Processing IssuesController#new (for 192.168.20.213 at 2009-10-06 15:15:42) [POST]

Session ID: 8a3e47225567462c2868274ed1ae0e4c

Parameters: {"project_id"=>"project", "commit"=>"Create", "action"=>"new", "controller"=>"issues", "issue"=>{"start_date"=>"2009-10-06",

"estimated_hours"=>"", "priority_id"=>"4", "subject"=>"test", "description"=>"test", "tracker_id"=>"1", "fixed_version_id"=>"", "done_ratio"=>"0",

"due_date"=>"", "assigned_to_id"=>"", "status_id"=>"1", "custom_field_values"=>{"1"=>"", "2"=>"", "3"=>"", "4"=>"", "5"=>""}},

"attachments"=>{"1"=>{"description"=>"", "file"=>""}}}

Redirected to http://redmine/redmine/issues/show/368

Completed in 21.26500 (0 reqs/sec) | DB: 0.09300 (0%) | 302 Found [http://redmine/redmine/projects/project/issues/new]

#2 - 2009-10-06 15:26 - Tim Bouman

- Status changed from New to Resolved

Found the answer, Redmine had settings to send an E-Mail whenever a issue was created, but there was no email address set.

SMTP timeout apparently took 20-21 seconds.

Maybe something for a bug-fix.

#3 - 2009-11-11 17:26 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

No information about your environment. I can't fix anything.
